{% extends 'base.html' %}

{% block title %} Sumar {% endblock title %}

{% block content %}
<section class="py-5 container">
    <div class="row">
        <div class="col-md-8">
            <h4 class="mb-4">Adresa de livrare</h4>

            {% if order.billing_address %}
            <p>Deja ati adaugat adresa: <i><b>{{ order.billing_address.street_address }}</b></i>, doriti sa schimbati aceasta adresa?</p>
            <a href="{% url 'frontend:change-address' %}" class="btn btn-warning">Schimbati adresa</a>
            <a href="{% url 'frontend:payment' %}" class="btn btn-info">Finalizati comanda</a>
            {% else %}
           <form action="" method="post" autocomplete="off" class="container">
    {% csrf_token %}
    <div class="form-floating mb-3">
        {{ form.street_address }}
        <label for="floatingInput">Strada</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.apartment_address }}
        <label for="floatingApartment">Apartament</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.city }}
        <label for="floatingOras">Oras</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.state }}
        <label for="floatingJudet">Judet</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.country }}
        <div class="invalid-feedback">Please select a valid country</div>
        <label for="floatingSelect">Alegeti tara</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.zip_code }}
        <label for="floatingZip">Cod postal</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.email }}
        <label for="floatingEmail">Email</label>
    </div>
    <div class="form-floating mb-3">
        {{ form.phone_number }}
        <label for="floatingPhoneNumber">Numar de telefon</label>
    </div>
    <button class="btn btn-primary btn-lg btn-block" type="submit">Finalizati comanda</button>
</form>

            {% endif %}
        </div><!-- md-8 -->

        <div class="col-md-4">
            <h4 class="d-flex justify-content-between align-items-center mb-3">
                <span class="text-muted">Cosul tau</span>
                <span class="badge bg-dark text-white ms-1 rounded-pill">{{ order.items.count }}</span>
            </h4>
            <ul class="list-group mb-3 z-depth-1">
                {% for order_item in order.items.all %}
                <li class="list-group-item d-flex justify-content-between th-condensed">
                    <div>
                        <h6 class="my-0">{{ order_item.quantity }} x {{ order_item.item.title}}</h6>
                        <small class="text-muted">{{ order_item.item.snip_description }}</small>
                    </div>
                    <span class="text-muted">{{ order_item.final_price }} Lei</span>
                </li>
                {% endfor %}
                {% if order.coupon %}
                <li class="list-group-item d-flex justify-content-between bg-light">
                    <div class="text-success">
                        <h6 class="my-0">Cupon reducere</h6>
                        <small>{{ order.coupon.code }}</small>
                    </div>
                    <span class="text-success">-{{ order.coupon.amount }}</span>
                    <form action="{% url 'frontend:remove-coupon' %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger btn-sm">Anuleaza</button>
                    </form>
                </li>
                {% endif %}
                <li class="list-group-item d-flex justify-content-between">
                    <span>Total (Lei)</span>
                    <strong>{{ order.total_price }} Lei</strong>
                </li>
            </ul>

            {% if display_coupon_form %}
            <form action="{% url 'frontend:add-coupon' %}" method="post" autocomplete="off">
                {% csrf_token %}
                <div class="input-group">
                    {{ couponform.code }}
                    <div class="input-group-append">
                        <button class="btn btn-secondary m-0" type="submit">Revendica</button>
                    </div>
                </div>
            </form>
            {% endif %}
        </div>
    </div><!-- container -->
</section>
{% endblock %}
